Bug 5095 - [UPDATE REQUEST] xscreensaver-5.26-5
: [UPDATE REQUEST] xscreensaver-5.26-5
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-25 18:22 MSK by Eugene Shatokhin
Modified: 2015-02-27 21:01 MSK (History)
2 users (show)

See Also:
RPM Package: xscreensaver
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-02-25 18:22:21 MSK
Rebuilt xscreensaver with fixed "Requires", etc.
Comment 1 Eugene Shatokhin 2015-02-25 18:32:01 MSK
Advisory: 
The build instructions for xscreensaver packages were updated: 
* removed obsolete dependencies on "chbg" and "*-theme-screensaver"
* fixed the path to the configuration file of XScreensaver.
* xscreensaver-extrusion is now only built for "restricted"
No source code changes.

Build lists (for main and restricted):
i586:
https://abf.io/build_lists/2441111
https://abf.io/build_lists/2441188

x86_64:
https://abf.io/build_lists/2441112
https://abf.io/build_lists/2441189

How to test:
1. Install xscreensaver, xscreensaver-common, xscreensaver-base, xscreensaver-gl, xscreensaver-extrusion.
2. Run
  xscreensaver &
3. Run
  xscreensaver-demo
Then select screensavers there and see their previews.
Comment 2 FirstLevel 2015-02-26 17:39:47 MSK
32bit
-- main --

plug container and install xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl - ok

root@r5-32 ~]# urpmi xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 fortune-mod                    1.99.1       27            rosa  2014.1 i586 
 libgdk_pixbuf_xlib2.0_0        2.30.8       3             rosa  2014.1 i586 
 librecode0                     3.6          23            rosa  2014.1 i586 
 words                          3.0          11            rosa  2014.1 noarch 
(источник «tst»)
 xscreensaver                   5.26         5             rosa  2014.1 i586 
 xscreensaver-base              5.26         5             rosa  2014.1 i586 
 xscreensaver-common            5.26         5             rosa  2014.1 i586 
 xscreensaver-gl                5.26         5             rosa  2014.1 i586 
Будет использовано 32МБ дополнительного дискового пространства.
Будет загружено 7МБ пакетов.
Установить 8 пакетов? (Y/n) 


"Then select screensavers there and see their previews." - ok

urpme xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl - removes only these packages

urpmi fireflies rss_glx - ok (depends from xscreensaver)


-- restricted --
plug container and install xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl xscreensaver-extrusion - ok

[root@r5-32 ~]# urpmi xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl xscreensaver-extrusion
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 fortune-mod                    1.99.1       27            rosa  2014.1 i586 
 libgdk_pixbuf_xlib2.0_0        2.30.8       3             rosa  2014.1 i586 
 libgle3                        3.1.0        16            rosa  2014.1 i586 
 librecode0                     3.6          23            rosa  2014.1 i586 
 words                          3.0          11            rosa  2014.1 noarch 
(источник «tst»)
 xscreensaver                   5.26         5plf          plf   2014.1 i586 
 xscreensaver-base              5.26         5plf          plf   2014.1 i586 
 xscreensaver-common            5.26         5plf          plf   2014.1 i586 
 xscreensaver-extrusion         5.26         5plf          plf   2014.1 i586 
 xscreensaver-gl                5.26         5plf          plf   2014.1 i586 
Будет использовано 32МБ дополнительного дискового пространства.
Будет загружено 7.1МБ пакетов.
Установить 10 пакетов? (Y/n) 


"Then select screensavers there and see their previews." - ok


xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl xscreensaver-extrusion - removes only these files
Comment 3 FirstLevel 2015-02-26 17:50:05 MSK
64bit
-- main --

plug container and install xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl - ok

[root@r5-64 ~]# urpmi xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl                                                             
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 fortune-mod                    1.99.1       27            rosa  2014.1 x86_64 
 lib64gdk_pixbuf_xlib2.0_0      2.30.8       3             rosa  2014.1 x86_64 
 lib64recode0                   3.6          23            rosa  2014.1 x86_64 
(источник «Main32»)
 words                          3.0          11            rosa  2014.1 noarch 
(источник «tst»)
 xscreensaver                   5.26         5             rosa  2014.1 x86_64 
 xscreensaver-base              5.26         5             rosa  2014.1 x86_64 
 xscreensaver-common            5.26         5             rosa  2014.1 x86_64 
 xscreensaver-gl                5.26         5             rosa  2014.1 x86_64 
Будет использовано 32МБ дополнительного дискового пространства.
Будет загружено 7.1МБ пакетов.
Установить 8 пакетов? (Y/n) 
 


"Then select screensavers there and see their previews." - ok

urpme xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl - removes only these packages


urpmi fireflies rss_glx - ok (depends from xscreensaver)



-- restricted --
plug container and install xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl xscreensaver-extrusion - ok

[root@r5-64 ~]# urpmi xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl xscreensaver-extrusion
Для удовлетворения зависимостей будут установлены следующие пакеты:
 Пакет                          Версия       Релиз         Dist  DEpoch Платформа 
(источник «main»)
 fortune-mod                    1.99.1       27            rosa  2014.1 x86_64 
 lib64gdk_pixbuf_xlib2.0_0      2.30.8       3             rosa  2014.1 x86_64 
 lib64gle3                      3.1.0        16            rosa  2014.1 x86_64 
 lib64recode0                   3.6          23            rosa  2014.1 x86_64 
(источник «Main32»)
 words                          3.0          11            rosa  2014.1 noarch 
(источник «tst»)
 xscreensaver                   5.26         5plf          plf   2014.1 x86_64 
 xscreensaver-base              5.26         5plf          plf   2014.1 x86_64 
 xscreensaver-common            5.26         5plf          plf   2014.1 x86_64 
 xscreensaver-extrusion         5.26         5plf          plf   2014.1 x86_64 
 xscreensaver-gl                5.26         5plf          plf   2014.1 x86_64 
Будет использовано 33МБ дополнительного дискового пространства.
Будет загружено 7.2МБ пакетов.
Установить 10 пакетов? (Y/n) 



"Then select screensavers there and see their previews." - ok


xscreensaver xscreensaver-common xscreensaver-base xscreensaver-gl xscreensaver-extrusion - removes only these files

urpmi fireflies rss_glx - ok (depends from xscreensaver)
Comment 4 Vladimir Potapov 2015-02-27 19:04:24 MSK
xscreensaver-5.26-5 (main)
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441111/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441112/x86_64/main/release/

xscreensaver-5.26-5 (restricted)
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441188/i586/restricted/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2441189/x86_64/restricted/release/
************************************ Advisory **********************
The build instructions for xscreensaver packages were updated: 
* removed obsolete dependencies on "chbg" and "*-theme-screensaver"
* fixed the path to the configuration file of XScreensaver.
* xscreensaver-extrusion is now only built for "restricted"
No source code changes.
*******************************************************************
QA Verified